List Vector Stores
curl --request GET \
--url https://app.luly.ai/api/vectors \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/vectors"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/vectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vectors": [
{
"vector_id": "KB-55e64dae-1585-4632-bc97-c909c288c6bc",
"name": "luly AI FAQs",
"description": "Business facts, policies, and frequently asked questions for Luly AI."
}
]
}
Vector Stores
List Vector Stores
List all vector stores in your account.
GET
/
vectors
List Vector Stores
Headers
Your API key for authentication.
Query Parameters
Include the full text of the documents stored in the vector store. This can be useful for debugging, but may return large amounts of data.
Response
An array of objects, for each vector store in your account.
The unique identifier for the vector store.
The name of the vector store.
A description of the vector store.
{
"vectors": [
{
"vector_id": "KB-55e64dae-1585-4632-bc97-c909c288c6bc",
"name": "luly AI FAQs",
"description": "Business facts, policies, and frequently asked questions for Luly AI."
}
]
}
⌘I